Subject: Re: [PATCH net-next 1/5] net: phy: add error checks in mmd_phy_indirect() and export it

From: Andrew Lunn <[email-masked]>
Date: Mon, 23 Jan 2023 16:34:58 +0100

On Fri, Jan 20, 2023 at 11:40:07PM +0100, Michael Walle wrote:
> Add missing error checks in mmd_phy_indirect(). The error checks need to
> be disabled to retain the current behavior in phy_read_mmd() and
> phy_write_mmd(). Therefore, add a new parameter to enable the error
> checks. Add a thin wrapper __phy_mmd_indirect() which is then exported.

Do we need to retain the current behavior? Is there a good reason to
silently ignore errors? If there is, it would be good to state it here
in the commit message.

   Andrew